IIS – .NET 4.0 register

Let say you implement your projects using with .NET 2.0 and you decided to upgrade .NET version from 2.0 to 4.0. May be you construct new server environment to configure server’s features such as IIS, Application server, Failover cluster etc.

You probably come face to face following error:

HTTP Error 500.21 – Internal Server Error- Handler “WebServiceHandlerFactory-Integrated” has a bad module “ManagedPipelineHandler” in its module list.

We need to register .NET 4.0 to IIS in order to do that open a command prompt and run the following command:

%windir%\Microsoft.NET\Framework\v4.0.21006\aspnet_regiis.exe -i

Advertisements

Leave a Reply

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out / Change )

Twitter picture

You are commenting using your Twitter account. Log Out / Change )

Facebook photo

You are commenting using your Facebook account. Log Out / Change )

Google+ photo

You are commenting using your Google+ account. Log Out / Change )

Connecting to %s